Listing all SV Scans
- DevNet (0.6.4)
- TestNet (0.6.3)
- MainNet (0.6.2)
Every Scan can list all approved SV scans connected to the network. For example, query from /v0/scans from https://scan.sv-1.dev.global.canton.network.sync.global, and the response will be something like
scans is a list of synchronizer IDs, each with an associated list of SVs and their Scan base URLs. In this case, Global-Synchronizer-Foundation matches the originally-used Scan. Take any of these publicUrls and query /api/scan/v0/scans, and the same set will be returned.Listing all SV Sequencers
Likewise, Canton sequencers for all approved SVs are published by every Scan. For example, query from /v0/dso-sequencers, and the result will be something likesvName is the same as the svName in Listing all SV Scans, it can be used to join the results of these endpoints, if necessary. url is the base URL of that SV’s sequencer.
Listing all Validators
Every validator approved on the network has a “license” on the ledger. The /v0/admin/validator/licenses endpoint lists all of these in the form ofSplice.ValidatorLicense:ValidatorLicense Daml contracts. These include:
- onboarding identification, in the form of
validator,sponsor, anddso, - activity statistics, such as
faucetStateandlastActiveAt, and - other tertiary validator information in
metadata.
payload property. Other fields reflect that this is a Daml contract, and are useful for other Daml interactions.
These licenses can only record information about the past state of the network. However, lastActiveAt can be used to infer which validators are currently likely to be active on the network and which are inactive or disconnected.
Here’s a snippet of an example response from an active network:
next_page_token as the after query parameter, you might see another page; the sequence of pages terminates with an absent or null token as follows:
Parties’ Hosting Participants
In any Canton deployment, each party is hosted on a participant. This can be accessed through Scan with /v0/domains//parties//participant-id. For example, looking up/v0/domains/global-domain::122084177677350389dd0710d6516f700a33fe348c5f2702dffef6d36e1dedcbfc17/parties/digitalasset-testValidator-1::1220e92bbc9d80cb6e283184017b307b9f44f23d32d7d195cdbcac033ae91eac2f28/participant-id on a test network yields